API Reference
API Reference

/candidates/:id/activities

Returns the activity stream of the given candidate. Required scope: r_candidates. Accessible with all token types.

Results

Calling the /candidates/:id/activities endpoint returns a JSON array of the candidate's activities.

keydescription
activitiesarray of activities

Each activity has the following keys:

keytypedescription
actionstringThe action/type of the activity. See Action values
stage_namestringThe stage the candidate was in when the activity was created (We populate the stage_name only for the activities that are created when a candidate is getting moved from one stage to another.)
action_stageobjectThe stage the candidate was when the action was initiated, including the its id and name
target_stageobjectThe stage that the candidate landed as a result of the action (target_stage is only populated for move activities)
created_atstringThe creation timestamp of the activity
updated_atstringThe activity’s last update timestamp
memberobjectThe member that created the activity (if applicable), contains id and name of the member
bodystringThe body of the activity, available if action is comment, rating, message or disqualified
ratingobjectContains the score of the activity, if action is rating
visibility_rolesarray(string)Includes all collaboration roles (comma separated) capable of viewing the activity - admin, recruiting_admin, hiring_manager, simple, reviewer, recruiter. It is available for single and bulk activities of action: comment, ratingand message

Action values

The action key of each activity takes one of the values below. Use the same values in the actions query parameter to filter the results.

ActionDescription
appliedThe candidate applied to the job.
sourcedThe candidate was moved to a stage of type Sourced.
shortlistedThe candidate was moved to a stage of type Shortlisted.
phone-screenThe candidate was moved to a stage of type Phone screen.
assessmentThe candidate was moved to a stage of type Assessment.
interviewThe candidate was moved to a stage of type Interview.
offerThe candidate was moved to a stage of type Offer.
hiredThe candidate was moved to a stage of type Hired.
uploadedA member added the candidate to the job (including candidates added through AI Recruiter).
copiedA member copied the candidate from another job (including candidates added through AI Recruiter).
movedA member moved the candidate from another job.
referralA member gave a referral for the candidate.
recommendedThe candidate was referred by an employee.
disqualifiedA member disqualified the candidate.
auto-disqualifiedThe candidate was disqualified automatically.
revertedA member reverted the disqualification. The candidate is qualified again.
snoozedA member snoozed the candidate until a date.
unsnoozedA member removed the snooze.
awakenedThe snooze period ended and the candidate is active again.
blockedA member blocked the candidate from all current and future jobs.
unblockedA member unblocked the candidate.
bookmarkedA member saved the candidate for future reference.
unbookmarkedA member removed the candidate from saved.
commentA member added a comment.
ratingA member added an evaluation.
feedbackAn external user provided feedback.
messageAn email or text message was sent to the candidate.
bulk-messageThe candidate was included in a bulk email.
bulk-message-scheduledA bulk email or text message was scheduled for a later date.
automation-scheduledAn automated action (e.g. automated email) for the candidate was scheduled, sent, canceled or failed.
ai_agent_stoppedA member performed manual actions, so Workable Agent stopped contacting, evaluating and advancing the candidate.
sms-consent-forcedA member enabled text messaging for the candidate.
sms-consent-declinedText messaging was disabled for the candidate.
gdpr-policy-notificationThe candidate was notified about a new privacy notice.
eventA member scheduled an event (e.g. interview) with the candidate.
event-requestThe candidate was asked to schedule an event.
event-cancelledA member canceled a scheduled event.
assessment-requestedAn assessment invitation was sent to the candidate.
assessment-completedThe assessment result is available, or the candidate missed the assessment deadline.
assessment-check-requestedA member requested a check (e.g. education reference check) through a background check provider.
assessment-check-completedThe requested check is complete and the results are available.
video-interview-requestedA video interview invitation was sent to the candidate.
video-interview-completedThe candidate completed the video interview.
background-check-requestedA member requested a background check.
background-check-consentedThe candidate consented to the background check.
background-check-completedThe background check is complete.
background-check-pre-adverseA member initiated adverse action based on the background check.
reference-check-requestedA member requested a reference check.
offer-pending-approvalA member sent the offer for approval.
offer-approvedThe offer was approved.
offer-rejectedThe approver did not approve the offer.
offer-scheduledThe offer is scheduled to be sent at a later date.
offer-sentA member sent the offer to the candidate.
offer-acceptedThe candidate accepted and signed the offer.
offer-declinedThe candidate declined the offer.
offer-canceledA member canceled the offer.
offer-expiredThe offer expired.
e-signature-request-sentA member sent a document for signature.
e-signature-request-acceptedThe candidate signed the requested document.
e-signature-request-declinedThe candidate declined to sign the requested document.
Path Params
string
required

The candidate's id

Query Params
int32
Defaults to 50

Specifies the number of activities to try and retrieve per page (optional)

string

Returns results with an ID greater than or equal to the specified ID. (optional)

string

Returns results with an ID less than or equal to the specified ID. (optional)

string

Filters for specific activities (comma delimited list of actions). See Action values for the possible values.

date-time

Returns activities updated equal or later than the provided date

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json